
Redmine - Defect #15848

REST API: Cannot retrieve memberships of closed projects

2014-01-10 17:18 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed Affected version:  

Description

A customer of ours (Planio) uses the REST API to read amongst other things project memberships (/projects/:id/memberships.xml),

which currently is not possible for closed projects, as :members => :index is not declared as a read-only action. We believe this is a

bug.

Furthermore, this is complicated by the project API not returning the state of a project (#15815), which means he actually still needs

to poll all project memberships and needs to "guess" that "406 not allowed" errors are closed projects.

Related issues:

Related to Redmine - Feature #13107: API: Users that doesn't have the right o... Closed

Associated revisions

Revision 12650 - 2014-01-11 12:47 - Jean-Philippe Lang

Fixed: cannot retrieve members for closed projects through the REST API (#15848).

History

#1 - 2014-01-11 12:47 - Jean-Philippe Lang

- Subject changed from Some read actions not available in the API for closed projects to REST API: Cannot retrieve memberships of closed projects

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Fixed in r12650.

#2 - 2020-06-13 07:27 - Go MAEDA

- Related to Feature #13107: API: Users that doesn't have the right on managing members can't access to the members list of a project added
